<template>
    <aside class="bg-base-200 w-72 min-h-screen">
        <h2 class="text-lg font-bold mx-4">
            <router-link :to="{ name: 'projects' }">Proyectos</router-link>
        </h2>
        <p v-if="projectsStore.emptyProjects" class="text-sm text-gray-500 mx-4">No hay proyectos</p>

        <!-- Sub Menu -->
        <ul v-else class="menu">
            <li v-for="project in projectsStore.projects" :key="project.id">
                <template v-if="project.tasks.length >= 1">
                    <details open>
                        <summary>
                            <router-link :to="{ name: 'project', params: { id: project.id } }">{{ project.name
                                }}</router-link>
                        </summary>
                        <ul>
                            <li v-for="task in project.tasks" :key="task.id">
                                <router-link :to="`/projects/${project.id}`">{{ task.name }}</router-link>
                            </li>
                        </ul>
                    </details>
                </template>
                <template v-else>
                    <router-link :to="`/projects/${project.id}`">{{ project.name }}</router-link>
                </template>
            </li>

        </ul>
    </aside>
</template>

<script lang="ts" setup>
import { useProjectsStore } from '../store/projects.store';

const projectsStore = useProjectsStore()
</script>